[Regression wmf.16] Cursor jumps to the beginning of the page after adding a focusable node
Closed, ResolvedPublic1 Story Points

Description

Insert a focusable node (Math/Template etc.) on the page, the cursor jumps to the beginning to of the article.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2017, 11:08 PM
Ryasmeen updated the task description. (Show Details)Mar 14 2017, 11:08 PM
Jdforrester-WMF triaged this task as Unbreak Now! priority.
Jdforrester-WMF set the point value for this task to 1.
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptMar 16 2017, 2:15 AM
Jdforrester-WMF lowered the priority of this task from Unbreak Now! to High.Mar 16 2017, 2:51 AM

Change 343028 had a related patch set uploaded (by Esanders):
[oojs/ui] Follow-up Iaa7dffc13: *Actually* allow $returnFocusTo to be null

https://gerrit.wikimedia.org/r/343028

Change 343029 had a related patch set uploaded (by Esanders):
[VisualEditor/VisualEditor] Revert "Remove $returnFocusTo hack now null is supported upstream"

https://gerrit.wikimedia.org/r/343029

Change 343029 merged by jenkins-bot:
[VisualEditor/VisualEditor] Revert "Remove $returnFocusTo hack now null is supported upstream"

https://gerrit.wikimedia.org/r/343029

Change 343068 had a related patch set uploaded (by Jforrester; owner: Esanders):
[VisualEditor/VisualEditor] Revert "Remove $returnFocusTo hack now null is supported upstream"

https://gerrit.wikimedia.org/r/343068

Change 343071 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (5c4c9e8ed)

https://gerrit.wikimedia.org/r/343071

Change 343028 merged by jenkins-bot:
[oojs/ui] Follow-up Iaa7dffc13: *Actually* allow $returnFocusTo to be null

https://gerrit.wikimedia.org/r/343028

Change 343068 merged by jenkins-bot:
[VisualEditor/VisualEditor] Revert "Remove $returnFocusTo hack now null is supported upstream"

https://gerrit.wikimedia.org/r/343068

Change 343072 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Update VE core submodule to wmf/1.29.0-wmf.16 HEAD (50a6323d7)

https://gerrit.wikimedia.org/r/343072

Change 343071 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (5c4c9e8ed)

https://gerrit.wikimedia.org/r/343071

This is now fixed in master, and we'll deploy it to production in the next hour or so.

Change 343072 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] Update VE core submodule to wmf/1.29.0-wmf.16 HEAD (50a6323d7)

https://gerrit.wikimedia.org/r/343072

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-03-16T19:07:39Z] <thcipriani@tin> Synchronized php-1.29.0-wmf.16/extensions/VisualEditor/lib/ve: SWAT: [[gerrit:343072|Update VE core submodule to wmf/1.29.0-wmf.16 HEAD]] (50a6323d7) T154123 T160479 (duration: 00m 44s)

Jdforrester-WMF closed this task as Resolved.Mar 16 2017, 7:23 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 16 2017, 7:23 PM

Mentioned in SAL (#wikimedia-operations) [2017-03-17T23:36:35Z] <catrope@tin> Synchronized php-1.29.0-wmf.16/extensions/VisualEditor/lib/ve: Fixes for T154123 T160479 T160190 T160197 (duration: 00m 42s)

Now re-pushed to production to resolve a deployment issue.